# Contacter le projet ScoDoc

La plate-forme Discord est le principal canal de communication entre les
utilisateurs et entre les développeurs:
[rejoindre le discord ScoDoc Assistance](https://discord.gg/ybw6ugtFsZ)

Il existe aussi un autre salon Discord réservé aux développeurs, n'hésitez pas à
demander à le rejoindre.

## Liste de diffusion

* [scodoc-annonces](https://listes.univ-paris13.fr/mailman/listinfo/scodoc-annonces) liste à très faible trafic, en lecture seule, seules des annonces importantes sont postées (quelques messages par an), tous les utilisateurs sont encouragés à s'y abonner. Indispensable aux administrateurs du logiciel.

## Signaler un problème (bug logiciel)

Tous les utilisateurs sont encouragés à signaler les erreurs qu'ils rencontrent,
afin qu'elles soient rapidement corrigées.

Pour cela, il existe un canal dédié sur le Discord: [🐞 bugs](https://discord.gg/BvAFnZU6UA)

Pour signaler un bug, il faut donner le maximum d'informations pour que nous
puissions le reproduire. Le mieux est d'envoyer les données d'assistance (lien
en bas de la page d'accueil du département) et d'indiquer quelle page ou
étudiant ou opération pose problème. Les données d'assistance ne contiennent pas
les noms, adresses et autres données personnelles: il faut donc indiquer
l'adresse de la page et jamais le nom d'un étudiant. Par exemple
`QLIO/Scolarite/Notes/formsemestre_bulletinetud?formsemestre_id=123&etudid=123456`
permet d'indiquer le semestre et l'étudiant à regarder.

![Envoi des données d'assistance](fig/envoi-assistance.png)

## Développeurs

Vous trouverez les sources du projet, les tickets (*issues*) et autres outils sur

* [gitea](https://scodoc.org/git/)

Vous pouvez demander un compte sur cette plate-forme pour ajouter des tickets,
proposer votre code (*pull requests*).

(Nous avons choisi le logiciel libre [Gitea](https://gitea.io) et non GitHub
afin de ne pas dépendre d'une plate-forme commerciale et de garder un contrôle
complet sur nos travaux).

## Anciennes listes de diffusion

Ces listes ne sont plus utilisées, remplacées par le Discord.

* [Notes](https://listes.univ-paris13.fr/mailman/listinfo/notes) discussions ou questions liées à l'utilisation du logiciel, entraide entre utilisateurs: vous pouvez y intervenir librement (les messages sont modérés pour éviter le spam).

* [scodoc-devel](https://listes.univ-paris13.fr/mailman/listinfo/scodoc-devel) échanges entre développeurs. Abonnez-vous si vous êtes intéressés par le développement du logiciel, souhaitez participer ou poser des questions techniques.
